<?
   session_start();
  require('../valtiempoinact.php');
  require('../conectar.php');
  $usuario_nivel=$_SESSION['usuario_nivel'];
  $usuario_login=$_SESSION['usuario_login'];
  $nomdia=array("DO","LU","MA","MI","JU","VI","SA");
	$nd=Date("w");
	$nod=Date("d");
	$nm=Date("m");
	$na=Date("y");
	$h=Date("H");
	$m=Date("i");
	$s=Date("s");
	$al=rand(1,$s);
	$cod_=$nomdia[$nd].$nod.$nm.$na.$h.$m.$s.$_SESSION['usuario_id'].$al;
?>  
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<script language="javascript" src="js/jquery-1.2.6.min.js"></script>
<script language='javascript'>
function validar(contenido){
	document.forma.depto.length=0; 
	document.forma.depto2.length=0; 
	document.forma.depto.options[0] = new Option("-----COORDINADOR-----","","defaultSelected",""); 
	document.forma.depto2.options[0]=new Option("-----EJECUTIVO-----","","defaultSelected","");
	var indice=1; 

<? 
$sql_depto = "SELECT id_empleado,gerente,nombre,a_pat,a_mat from empleados where puesto='4' and fechabaja='0000-00-00'"; 
$rs_depto = mysql_query($sql_depto); 
if(mysql_num_rows($rs_depto)>0) 
  { 
   while($row_depto = mysql_fetch_assoc($rs_depto)) 
		{ 
?> 
		 if(contenido=='<?=$row_depto["gerente"]?>') 
		   { 
			document.forma.depto.options[indice] = new Option("<?=$row_depto["nombre"]." ".$row_depto["a_pat"]." ".$row_depto["a_mat"];?>","<?=$row_depto["id_empleado"]?>"); 
			indice++; 
			} 
<? 
		} 
   } 
?>  
}

function validar2(contenido) 
{ 
//alert(contenido); 
document.forma.depto2.length=0; 
document.forma.depto2.options[0] = new Option("-- EJECUTIVO --","","defaultSelected","");
var indice=1; 
<? 
$sql_depto = "SELECT * from empleados where puesto='5' and fechabaja='0000-00-00'"; 
$rs_depto = mysql_query($sql_depto); 
if(mysql_num_rows($rs_depto)>0) 
{ 
while($row_depto = mysql_fetch_assoc($rs_depto)) 
{ 
?> 
if(contenido=='<?=$row_depto["coordinador"]?>') 
{ 
document.forma.depto2.options[indice] = new Option("<?=$row_depto["nombre"]." ".$row_depto["a_pat"]." ".$row_depto["a_mat"];?>","<?=$row_depto["id_empleado"]?>"); 
indice++; 
} 

<? 
}}
 
?> 
}  
</script>
<script language='javascript'>

function anadirtipopros(frm) { 
  if(frm.agregartpros.value== ""){
      alert('No puedes Introducir opciones en blanco');
	  frm.agregartpros.focus();
      return false
   }else{
  optagrepros = new Option(frm.agregartpros.value,frm.agregartpros.value);
  frm.tipoprospeccion.options[frm.tipoprospeccion.options.length] = optagrepros;
  frm.agregartpros.value = '';
  frm.tipoprospeccion.options[frm.tipoprospeccion.options.length-1].selected = true;
  }
 }
 
  function anadirmedio(frm) { 
  if(frm.agregarmedio.value == ''){
      alert('No puedes Introducir opciones en blanco');
   }else{
  optmnq = new Option(frm.agregarmedio.value,frm.agregarmedio.value);
  frm.medio.options[frm.medio.options.length] = optmnq;
  frm.agregarmedio.value = '';
  frm.medio.options[frm.medio.options.length-1].selected = true;
  }
 }
 
 function anadirsubmedio(frm) { 
  if(frm.agregarsubmedio.value == ''){
      alert('No puedes Introducir opciones en blanco');
   }else{
  optmnq = new Option(frm.agregarsubmedio.value,frm.agregarsubmedio.value);
  frm.submedio.options[frm.submedio.options.length] = optmnq;
  frm.agregarsubmedio.value = '';
  frm.submedio.options[frm.submedio.options.length-1].selected = true;
  }
 }
 
function validarmedio(contenido){
	var medio=document.forma.medio.value;
	document.forma.submedio.length=0; 
	document.forma.submedio.options[0] = new Option("--SUBMEDIO--","","",""); 
	var indice=1; 
if(medio==1)		
{
<?php
$directorios=mysql_query("select * from directorios",$db_conexion);
while($resdir=mysql_fetch_array($directorios))
{
?>
 document.forma.submedio.options[indice] = new Option("<?=$resdir["descripcion"];?>","<?=$resdir["id"]?>"); 
 indice++; 
<?php
}
?>	
}
else
{	
<?
$sql_depto = "SELECT idsubmedio,idcanal,subcanal from submedio"; 
$rs_depto = mysql_query($sql_depto); 
if(mysql_num_rows($rs_depto)>0) 
  { 
   while($row_depto = mysql_fetch_assoc($rs_depto)) 
		{ 
?> 
		 if(contenido=='<?=$row_depto["idcanal"]?>') 
		   { 
			document.forma.submedio.options[indice] = new Option("<?=$row_depto["subcanal"];?>","<?=$row_depto["idsubmedio"]?>"); 
			indice++; 
			} 
<? 
		} 
   } 
?>  
}
}

function validamail(mail)
    {
	 div = document.getElementById('msgmail');
     div.style.display ='';
     $.post("valmail.php", { email:mail}, function(data){
     $("#msgmail").html(data);
     });
    }
function ndias(){
     var fechain= document.forma.fr.value;
	 var fechafin= document.forma.fr2.value;	
	 $.post("nodias.php", { fini: fechain, ffin: fechafin}, function(data){
	 $("#totdias").html(data);
	 });
}

function fiscales(v){
     var tx=document.getElementById("fiscaltxt");
     var va=document.getElementById("fiscalval");
     if(v.checked){
	 tx.style.display="table-row";
	 va.style.display="table-row";
	 }else{
	 tx.style.display="none";
	 va.style.display="none";
	 document.getElementById("razonsocial").value="";
	 document.getElementById("rfc").value="";
	 document.getElementById("direccionfis").value="";
	 }
}

function citas(v){
     var tx=document.getElementById("citastxt");
     var va=document.getElementById("citasval");
     if(v){
	 tx.style.display="table-row";
	 va.style.display="table-row";
	 }else{
	 tx.style.display="none";
	 va.style.display="none";
	 document.getElementById("fechacita").value="";
	 document.getElementById("horacitam").value="";
	 document.getElementById("observacion").value="";
	 }
}
function llamadas(v){
     var tx=document.getElementById("llamadastxt");
     var va=document.getElementById("llamadasval");
     if(v){
	 tx.style.display="table-row";
	 va.style.display="table-row";
	 }else{
	 tx.style.display="none";
	 va.style.display="none";
	 document.getElementById("fechallamada").value="";
	 document.getElementById("horallamada").value="";
	 document.getElementById("observacion2").value="";
	 }
}

function valida(){
 var fe=document.getElementById("aDate");
 var fs=document.getElementById("dDate");
 var nom=document.getElementById("nombre");
 var apa=document.getElementById("apat");
 
 if(fe.value==""){
 alert("indica la fecha de entrada");
 fe.focus();
 return false;
 }
 
 if(fs.value==""){
 alert("indica la fecha de salida");
 fs.focus();
 return false;
 }
 
 if(nom.value==""){
 alert("ingresa el nombre del cliente");
 nom.focus();
 return false;
 }
 if(apa.value==""){
 alert("ingresa el apellido paterno del cliente");
 apa.focus();
 return false;
 }
}
</script>
<style>
		     .cont-busc{position:relative;width:850px;height:auto;min-height:400px !important;font-family:arial;color:#086A87;top:10px;overflow-x:hidden;margin:auto;}
			  .cont-busc .bar-busc{position:relative;width:900px;height:90px;font-family:arial;color:#086A87;top:0px;margin:auto;}
			  .cont-res{position:relative;width:900px;font-family:arial;color:#086A87;top:0px;margin:auto;}
			  .datos{border:0;-moz-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;-khtml-border-radius: 5px;border-collapse: collapse;color:#0d0d0d;font-family:arial;}
			  .datos .tl{-moz-box-shadow:inset 0 0 20px #000000;-webkit-box-shadow: inset 0 0 20px #000000;box-shadow: inset 0 0 20px #000000;}
			  .datos .trs{min-height:30px !important;max-height:30px !important;height:30px !important;background:url(images/tcancion.jpg) repeat-x;color:#ffffff;font-size:12px;}
              .datos .trsb{min-height:15px !important;max-height:15px !important;height:15px !important;background:url(images/tcancion2.png);color:#58D3F7;font-size:12px;}
			  .datos .trsb td{border-left:solid 1px #6E6E6E;}
			  .datos .trsb td:first-child{border-left:none;}
			  .datos .tr{min-height:20px !important;max-height:20px !important;height:20px !important;background:#ffffff;border-top:solid 1px #D8D8D8; color:#084B8A;font-size:13px;}
			  .datos .trb{min-height:20px !important;max-height:20px !important;height:20px !important;background:#ffffff;border-top:solid 1px #D8D8D8; color:#084B8A;font-size:13px;}
			  .datos .trb td{border-left:solid 1px #D8D8D8;padding-left:10px;}
			  .datos .trb td:first-child{border-left:none;}
			   
			  .datos .tr td{border-left:solid 1px #D8D8D8;padding-left:10px;}
			  .datos .tr td:first-child{border-left:none;}
	          .datos .tr:hover{background:#01A9DB;color:#ffffff;}	
	          .datos .tr:hover a{color:#ffffff;}
              .datos .tr1{min-height:20px !important;max-height:20px !important;height:20px !important;background:#E0F8F7;border-top:solid 1px #D8D8D8; color:#084B8A;font-size:13px;}	
              .datos .tr1 td{border-left:solid 1px #D8D8D8;padding-left:10px;}
			  .datos .tr1 td:first-child{border-left:none;}
	          .datos .tr1:hover{background:#01A9DB;color:#ffffff;}	
	          .datos .tr1:hover a{color:#ffffff;}	
			  .datos .activo{min-height:20px !important;max-height:20px !important;height:20px !important;background:#F3E2A9;border-top:solid 1px #D8D8D8; color:#084B8A;font-size:13px;}
			.loading{position:fixed;left:50%;top:50%;width:250px;height:70px;margin-left:-125px;margin-top:-35px;display:none;background:url(images/bkloading.png);background-repeat:no-repeat;color:#ffffff;padding-top:25px;text-align:center;font-family:arial;font-size:12px;}
               .rentas{position:absolute;top:40px;width:800px;left:50%;margin-left:-421px;border:solid 1px  #D8D8D8; background:#FFFFFF; display:none;padding:20px;-Moz-box-shadow: 0 0 85px #000;-webkit-box-shadow: 0 0 85px #000; box-shadow: 0 0 85px #000;}
               .rentatab{border-collapse:collapse;color:#0d0d0d;font-family:arial;font-size:12px;}
               .rentatab .filatit{min-height:20px !important;max-height:20px !important;height:20px !important;background:#D8D8D8;border-top:solid 1px #D8D8D8;font-size:13px;}			   
               .rentatab .fila{min-height:20px !important;max-height:20px !important;height:20px !important;background:#ffffff;border-top:solid 1px #D8D8D8; color:#084B8A;font-size:12px;}
               .rentatab .fila td{border-left:solid 1px #D8D8D8;padding-left:5px;}
               .rentatab .fila td:first-child{border-left:none;}
               .cerrar{float:right;margin-top:-20px;margin-right:-20px;}			   
	     </style>
<!--CALENDARIO ESTANCIA ACTUAL-->
<LINK rel="stylesheet" type="text/css" href="calendario/calendar.css" 
media="screen">
<SCRIPT type="text/javascript" src="calendario/calendar.js"></SCRIPT>
<SCRIPT type="text/javascript" src="calendario/calendar-en.js"></SCRIPT>
<SCRIPT type="text/javascript" src="calendario/calendar-setup.js"></SCRIPT>
<script language="javascript" src="calendario_cierre/calendar_db.js"></script>
<link type="text/css" href="calendario_cierre/calendar.css" rel="stylesheet" />
<!--TERMINA CALENDARIO ACTUAL ESTANCIA-->		 
</head>
<body>
	<form name="forma" method="post" onsubmit="return valida();">
    <table class="datos" align="center" width="850">
        <tr>
            <td class="tl" align="center" colspan="6">Cédula express</td>		
        </tr> 	
        <tr class="trsb">
            <td align="center" colspan="2">Prospección</td>		
            <td align="center" colspan="2">Medio</td>		
            <td align="center" colspan="2">Submedio</td>		
        </tr>
		<tr class="trs">								 
			<td align="center" colspan="2">
				<SELECT name="tipoprospeccion" style="width:150px;">
					<option value="<? echo $tipoprospeccion ?>"><? echo $tipoprospeccion ?></option>
					<? $campo="TIPO_PROSPECCION";
						require("llena.php");
					?>
				</select>
			</td>
			<td align="center" colspan="2">			
				<select name="medio" onChange="validarmedio(this.value)"  style="width:150px;"> 
					<option value="">--SELECCIONE--</option> 
					<? 
						$sql="SELECT distinct id,canal from medio";
						$rs=mysql_query($sql);
						if(mysql_num_rows($rs)>0){ 
							while($row = mysql_fetch_assoc($rs)){ 
								?> 
								  <option value="<?=$row["id"]?>"><?=$row["canal"]?></option> 
								<? 
							} 
						} 
					?> 
				</select>
			</td>
			<td align="center" colspan="2">
				<select name="submedio"  id="submedio" style="width:150px;"> 
					<option value="">--SELECCIONE--</option> 
				</select>
			</td>
		</tr>
		<tr class="trs">
		     <td colspan="2" align="center"><input type="button" value="Agregar(+)" onclick="anadirtipopros(this.form)" ><input type="text" name="agregartpros" style="background-color:#E0E8F3;" onChange="javascript:this.value=this.value.toUpperCase();" size="10"></td>
		     <td colspan="2" align="center"><input type="button" value="Agregar(+)" onclick="anadirmedio(this.form)" > <input type="text" name="agregarmedio" style="background-color:#E0E8F3;" onChange="javascript:this.value=this.value.toUpperCase();" size="10"></td>
		     <td colspan="2" align="center"><input type="button" value="Agregar(+)" onclick="anadirsubmedio(this.form)" ><input type="text" name="agregarsubmedio" style="background-color:#E0E8F3;" onChange="javascript:this.value=this.value.toUpperCase();" size="10"></td>
		</tr>
		<tr class="trsb">
            <td align="center">Fecha de ingreso</td>		
            <td align="center">Fecha de salida</td>			
            <td align="center" colspan="4"><input type="hidden" name="folio" id="folio" value="<?echo $cod_?>"></td>			
        </tr>
		<tr class="trs">
			<td align="center">
			    <input id="aDate" class="input-text required" name="fr" type="text" size="15" onblur="javascript: ndias();" readonly>
			</td>
			<td align="center">
			   <input id="dDate" class="input-text required" name="fr2" type="text" size="15" onblur="javascript: ndias();" readonly>
			</td>
			<td align="center" colspan="4" id="totdias" style="font-size: 11px;">
			</td>
		</tr>
		<tr class="trsb">		
            <td align="center" colspan="4">No de personas</td>
            <td align="center" colspan="2">Presupuesto</td>					
        </tr>
		<tr class="trs">
		    <td align="center" colspan="2">Adultos: <input type="text" size="6" name="noadultos" id="noadultos" autocomplete=off></td>
		    <td align="center" colspan="2">Niños: <input type="text" size="6" name="noniños" id="noniños" autocomplete=off></td>
		    <td align="center" colspan="2">$ <input type="text" size="6" name="presupuesto" id="presupuesto" autocomplete=off> 
			USD:<input type="radio" name="tipomoneda" id="tipomoneda" value="USD" checked> 
			MXN:<input type="radio" name="tipomoneda" id="tipomoneda" value="MXN"></td>
		</tr>
		<tr class="trsb">		
            <td align="center" colspan="2">Nombre</td>
            <td align="center" colspan="2">Apellido paterno</td>					
            <td align="center" colspan="2">Apellido materno</td>					
        </tr>
		<tr class="trs">
		    <td align="center" colspan="2"><input type="text" size="30" name="nombre" id="nombre" autocomplete=off onChange="javascript:this.value=this.value.toUpperCase();"></td>
		    <td align="center" colspan="2"><input type="text" size="30" name="apat" id="apat" autocomplete=off onChange="javascript:this.value=this.value.toUpperCase();"></td>
		    <td align="center" colspan="2"><input type="text" size="30" name="amat" id="amat" autocomplete=off onChange="javascript:this.value=this.value.toUpperCase();"></td>
		</tr>
		<tr class="trsb">		
            <td align="center" colspan="2">email</td>
            <td align="center" colspan="2">teléfono</td>					
            <td align="center" colspan="2">Tipo de cliente</td>					
        </tr>
		<tr class="trs">
		    <td align="center" colspan="2"><input type="text" size="30" name="mail" id="mail" autocomplete=off onChange="javascript:this.value=this.value.toLowerCase();validamail(this.value);"><div id="msgmail" style="position:absolute;display:none;width:15px;height:15px;margin-top:-20px;margin-left:265px"></div></td>
		    <td align="center" colspan="2">
			     <input id="intacc1" name="intacc1" type="text" size="1" title="Acceso Internacional" autocomplete=off > - 
				 <input id="coco1" name="coco1" type="text" size="1" title="Código del Pa&iacute;s" autocomplete=off > - 
				 <input id="aco1" name="aco1" type="text" size="1" title="Código de &Aacute;rea" autocomplete=off > - 
				 <input id="num1" name="num1" type="text" size="5" title="N&uacute;mero" autocomplete=off >
			</td>
		    <td align="center" colspan="2">
			     Persona: <input type="radio" name="tipocliente" id="tipocliente" value="PERSONA" checked> 
			     Empresa:<input type="radio" name="tipocliente" id="tipocliente" value="EMPRESA">
				 &nbsp;&nbsp;&nbsp;RFC:<input type="checkbox" name="datosf" id="datosf" onclick="javascript:fiscales(this)">
			</td>
		</tr>
		<tr class="trsb" id="fiscaltxt" style="display:none;">		
            <td align="center" colspan="2">Razon social</td>
            <td align="center" colspan="2">RFC</td>					
            <td align="center" colspan="2">Direccion fiscal</td>					
        </tr>
        <tr class="trs" id="fiscalval" style="display:none;">
		     <td align="center" colspan="2"><input type="text" size="30" name="razonsocial" id="razonsocial" autocomplete=off onChange="javascript:this.value=this.value.toUpperCase();"></td>
		     <td align="center" colspan="2"><input type="text" size="30" name="rfc" id="rfc" autocomplete=off onChange="javascript:this.value=this.value.toUpperCase();"></td>
		     <td align="center" colspan="2"><input type="text" size="30" name="direccionfis" id="direccionfis" autocomplete=off onChange="javascript:this.value=this.value.toUpperCase();"></td>
        </tr>
		<tr class="trs">
		    <td colspan="6">
			    <a href="javascript:citas(true);" style="color:#FFFFFF; text-decoration:none;margin-left:10px;">agendar una cita<img src="images/media.png" width="15" height="15" style="position:absolute;margin-top:1px;"></a>
				<a href="javascript:llamadas(true)" style="color:#FFFFFF; text-decoration:none;margin-left:30px;">agendar una llamada<img src="images/baja.png" width="15" height="15" style="position:absolute;margin-top:1px;"></a>
		    </td>
		</tr>
		<tr class="trsb" id="citastxt" style="display:none;">
		    <td align="center">Fecha de cita</td>
		    <td align="center">Hora de cita</td>
		    <td colspan="4" align="center">Observacion</td>
		</tr>
		<tr class="trs" id="citasval" style="display:none;">
		    <td align="center">
			    <input type="text" name="fechacita" id="fechacita" style="text-align:left;" size="10"/>
				<script language="JavaScript">
                     var o_cal = new tcal ({
                    // form name
                    'formname': 'forma',
                    // input name
                    'controlname': 'fechacita'
                    });
                     // individual template parameters can be modified via the calendar variable
                    o_cal.a_tpl.yearscroll = false;
                    o_cal.a_tpl.weekstart = 1;     
                </script>
			</td>
		    <td align="center">
			    <select name="horacitam" id="horacitam">
				     <option value=""></option> 
					 <?
					for($j=8;$j<23;$j++){
					for($i=0;$i<=45;$i+=15){
					if($j<=9){$h="0".$j;}else{$h=$j;}
					if($i<15){$m="0".$i;}else{$m=$i;}
					$hora=$h.":".$m;
                    ?>
					<option value="<?echo $hora?>"><?echo $hora?></option>
					<?		
					}
					}
					?>
					<option value='23:00'>23:00</option> 
				</select>
			</td>
		    <td colspan="4" align="center"><input type="text" name="observacion" id="observacion" size="80"><a href="javascript:citas(false)"><img src="images/cerrardiv.png" width="15" height="15" style="position:absolute;margin-top:4px;"></a></td>
		</tr>
		<tr class="trsb" id="llamadastxt" style="display:none;">
		    <td align="center">Fecha de llamada</td>
		    <td align="center">Hora de llamada</td>
		    <td colspan="4" align="center">Observacion</td>
		</tr>
		<tr class="trs" id="llamadasval" style="display:none;">
		    <td align="center">
			    <input type="text" name="fechallamada" id="fechallamada" style="text-align:left;" size="10"/>
				<script language="JavaScript">
                     var o_cal = new tcal ({
                    // form name
                    'formname': 'forma',
                    // input name
                    'controlname': 'fechallamada'
                    });
                     // individual template parameters can be modified via the calendar variable
                    o_cal.a_tpl.yearscroll = false;
                    o_cal.a_tpl.weekstart = 1;     
                </script>
			</td>
		    <td align="center">
			    <select name="horallamada" id="horallamada">
				     <option value=""></option> 
					 <?
					for($j=8;$j<23;$j++){
					for($i=0;$i<=45;$i+=15){
					if($j<=9){$h="0".$j;}else{$h=$j;}
					if($i<15){$m="0".$i;}else{$m=$i;}
					$hora=$h.":".$m;
                    ?>
					<option value="<?echo $hora?>"><?echo $hora?></option>
					<?		
					}
					}
					?>
					<option value='23:00'>23:00</option> 
				</select>
			</td>
		    <td colspan="4" align="center"><input type="text" name="observacion2" id="observacion2" size="80"><a href="javascript:llamadas(false)"><img src="images/cerrardiv.png" width="15" height="15" style="position:absolute;margin-top:4px;"></a></td>
		</tr>
		<tr class="trsb">
		     <td colspan="6" align="center">
			     <font style="float:left;margin-left:20px;">Comentario:</font><textarea  name="comentario" style="width:830px;height:100px;margin-bottom:3px;resize:none;"></textarea>
			</td>
		</tr>
		<tr class="trsb">		
            <td align="center" colspan="2">Gerente</td>
            <td align="center" colspan="2">Coordinador</td>					
            <td align="center" colspan="2">Ejecutivo</td>					
        </tr>
		<tr class="trs">
							        <?
								      $empleado=mysql_query("select * from empleados where id_empleado='$_SESSION[usuario_id]'",$db_conexion);
										if($re=mysql_fetch_array($empleado))
										{
										 $id_empleado=$re['id_empleado'];
										  $nombre=$re['nombre']." ".$re['a_pat']." ".$re['a_mat'];
										 $su_puesto=$re['puesto'];
										 $su_gerente=$re['gerente'];
										 $su_coordinador=$re['coordinador'];
										}
										// GERENTE ES 3
										// COORDINADOR ES 4
										// EJECUTIVO ES 5
										
									
										$sqlger=mysql_query("select * from empleados where id_empleado='$su_gerente'",$db_conexion);
										$ger=mysql_fetch_array($sqlger);
										 $gerente=$ger['nombre']." ".$ger['a_pat']." ".$ger['a_mat'];
										 
										 $sqlcoor=mysql_query("select * from empleados where id_empleado='$su_coordinador'",$db_conexion);
										 $coor=mysql_fetch_array($sqlcoor);
										 $coordinador=$coor['nombre']." ".$coor['a_pat']." ".$coor['a_mat'];
									?>
							    <td align="center" colspan="2">
								     <?
									 if($su_puesto=="1" || $su_puesto=="2"){
									     ?><select name="gerente" onChange="validar(this.value)" style="width:150px;"><?
										     echo "<option value=''>-----SELECCIONE-----</option>";
								             $ger=mysql_query("select * from empleados where puesto=3 and fechabaja='0000-00-00'",$db_conexion);
								             while($rger=mysql_fetch_array($ger)){
								                 echo "<option value='$rger[id_empleado]'>$rger[nombre] $rger[a_pat] $rger[a_mat]</option>";		   								  
								             }		
									     }else{
									     if($su_puesto=="5"||$su_puesto=="4"){echo $gerente;}if($su_puesto=="3"){echo $nombre;}?>
                                         <input type="hidden" name="gerente" value="<?if($su_puesto=="5"||$su_puesto=="4"){echo $su_gerente;}if($su_puesto=="3"){echo $id_empleado;}?>">	
									<?}?>
								</td>
								<td align="center" colspan="2">
								    <?
								     if($su_puesto=="1" || $su_puesto=="2" || $su_puesto=="3"){
									     ?><select name="depto" id="depto" onChange="validar2(this.value)" style="width:150px;"><?
										     echo "<option value='' selected='selected'>-----SELECCIONE-----</option>";	  
								             $coor=mysql_query("select * from empleados where puesto=4 and fechabaja='0000-00-00'",$db_conexion);
								             while($rcoor=mysql_fetch_array($coor)) {
								              echo "<option value='$rcoor[id_empleado]'>$rcoor[nombre] $rcoor[a_pat] $rcoor[a_mat]</option>";
									         }				
											 echo"</select>";
									 }else{
									     if($su_puesto=="5"){echo $coordinador;}if($su_puesto=="4"){echo $nombre;}?>
                                         <input type="hidden" name="depto" id="depto" value="<?if($su_puesto=="5"){echo $su_coordinador;}if($su_puesto=="4"){echo $id_empleado;}?>"> 
										 <?}?>
								</td>  
								<td align="center" colspan="2">
								     <?
									 if($su_puesto=="1" || $su_puesto=="2" || $su_puesto=="3"){
									     ?><select name="depto2" id="depto2" style="width:150px;"> <?
										         echo "<option value=''>-----SELECCIONE-----</option>";
												 echo"</select>";
											 }else{	
								                  echo $nombre?>
								                 <input type="hidden" name="depto2" id="depto2" value="<?echo $id_empleado?>"> 
									 <?}?>
								</td>
								</tr>
		<tr class="trs">
		     <td colspan="6" align="center">
			     <input type="submit" name="registrar" id="registrar" value="registrar">
			</td>
		</tr>
    </table>
    </form>	
	<SCRIPT type="text/javascript" src="calendario/calendar-start.js"></SCRIPT>
</body>
<?
if(isset($_POST['registrar'])){
$prospeccion=$_POST["tipoprospeccion"];
$medio=$_POST["medio"];
$submedio=$_POST["submedio"];

$gerente=$_POST["gerente"];
$coordinador=$_POST["depto"];
$ejecutivo=$_POST["depto2"];
$folio=$_POST["folio"];
$fingreso=$_POST["fr"];
$fsalida=$_POST["fr2"];
$noadultos=$_POST["noadultos"];
$noniños=$_POST["noniños"];
$presupuesto=$_POST["presupuesto"];
$tipomoneda=$_POST["tipomoneda"];


$fechacita=$_POST["fechacita"];
$horacita=$_POST["horacitam"];
$observacion=$_POST["observacion"];

$fechallamada=$_POST["fechallamada"];
$horallamada=$_POST["horallamada"];
$observacion2=$_POST["observacion2"];

$nombre=$_POST["nombre"];
$apat=$_POST["apat"];
$amat=$_POST["amat"];
$mail=$_POST["mail"];
$intacc1=$_POST["intacc1"];
$coco1=$_POST["coco1"];
$aco1=$_POST["aco1"];
$num1=$_POST["num1"];
$tipocliente=$_POST["tipocliente"];
$razonsocial=$_POST["razonsocial"];
$rfc=$_POST["rfc"];
$direccionfis=$_POST["direccionfis"];

$comentario=$_POST["comentario"];

//INSERTA TIPO DE PROSPECCION//
	 if($tipoprospeccion!=""){
	 $sqltipopros="select * from llenacombos where campo='TIPO_PROSPECCION' and nom='$tipoprospeccion'";
	 $ejetipopros=mysql_query($sqltipopros);
	 $encontrotipopros=mysql_num_rows($ejetipopros);
	    if($encontrotipopros==0){
	         $insmotviaje="INSERT INTO llenacombos(id,nom,campo) values('','$tipoprospeccion','TIPO_PROSPECCION')";
		     mysql_query($insmotviaje);
	     }
	 }
//INSERTA  TIPO DE  PROSPECCION//
  // ESTO ES PARA SABER SI EL MEDIO ES PAGINAS WEB Y VERIFICAR SI ES QUE SE AGREGO UN NUEVO DIRECTORIO, INSERTALO A LA TABLA
	 if($medio==1)
	 {
	    // CONSULTA PARA COMPROBAR QUE LOS DIRECTORIOS NO SE REPITAN
		$consulta_directorios=mysql_query("select count(*) as repetido from directorios where id='$submedio'",$db_conexion);
		$directorio_repetido=mysql_fetch_array($consulta_directorios);
		if($directorio_repetido['repetido']==0)
		 {
		 $inserta_directorio=mysql_query("insert into directorios(descripcion) values('$submedio')",$db_conexion);  		
		 $nuevo_id=mysql_query("select * from directorios where descripcion='$submedio'");
		  if($res_nuevo_id=mysql_fetch_array($nuevo_id))
		   {
		    $subme=$res_nuevo_id['id'];
		   }		
		 }else{
		   $subme=$submedio;	 
		 }
	 }else{	 
	 // INSERTAR SUBMEDIOS	 
	 $sqlsubmedio=mysql_query("select count(*) as repetidos from submedio where idsubmedio='$submedio'",$db_conexion);
	 $ressqlsubmedio=mysql_fetch_array($sqlsubmedio);
	 if($ressqlsubmedio['repetidos']==0)
	 {
	  $insertasubmed=mysql_query("insert into submedio(idcanal,subcanal) values('$medio','$submedio')",$db_conexion);
	  // CONSULTA PARA EXTRAER EL ID DEL NUEVO SUBMEDIO E INSERTARLO A LA TABLA RENTA
	 $idsubm=mysql_query("select * from submedio where subcanal='$submedio'",$db_conexion);
	 if($ridsubm=mysql_fetch_array($idsubm))
	 { $idsubmedio=$ridsubm['idsubmedio']; }
 	 // CONSULTA PARA EXTRAER EL ID DEL NUEVO SUBMEDIO E INSERTARLO A LA TABLA RENTA
	  $subme=$idsubmedio;
	 }else {
	  $subme=$submedio;	 
	 }
	 // TERMINA INSERTAR SUBMEDIOS	 
     //TERMINA VERIFICACION SI EXISTEN REGISTROS EN TABLA LLENACOMBOS SI NO EXISTEN REGISTRA//
	 }	 
	 // TERMINA ESTO ES PARA SABER SI EL MEDIO ES PAGINAS WEB Y VERIFICAR SI ES QUE SE AGREGO UN NUEVO DIRECTORIO, INSERTALO A LA TABLA 
 $sql="INSERT INTO clientes (id_cliente,nombre,a_pat,a_mat,email,intacc1,coco1,aco1,num1,tipo_cliente,razon_soc,rfc,direc_fis,id_emp) 
	 VALUES ('','$nombre','$apat','$amat','$mail','$intacc1','$coco1','$aco1','$num1','$tipocliente','$razonsocial','$rfc','$direccionfis','$_SESSION[usuario_id]')";
	 $con=mysql_query($sql);
	 $idcliente=mysql_insert_id($db_conexion);
  $sql="INSERT INTO  renta (`id_renta` ,`folio` ,`id_cliente` ,`id_gerente` ,`id_coordinador` ,`id_ejecutivo` ,`prospeccion` ,`medio` ,`submedio`,`tipomoneda`,`fecha` ,`f_ingreso` ,`f_salida` ,`no_adultos` ,`no_ninios` ,`presupuesto`)VALUES ('' ,  '$folio',  '$idcliente', '$gerente', '$coordinador', '$ejecutivo','$tipoprospeccion','$medio','$submedio','$tipomoneda',  CURDATE(), '$fingreso','$fsalida','$noadultos','$noniños','$presupuesto')";
     $con=mysql_query($sql);
	 $idrenta=mysql_insert_id($db_conexion);
	 
	 if($comentario!=""){
	    $sql="INSERT INTO coment_renta (id_com,id_renta,id_emp,fecha,comentario)VALUES('','$idrenta','$_SESSION[usuario_id]',CURDATE(),'$comentario')";
		mysql_query($sql);
	 }
	 
	 if($fechacita!=""){
	 $sql="INSERT INTO citas (id_cita,id_renta,id_emp,fecha,asistio,hora,observacion,id_cliente) VALUES ('','$idrenta','$_SESSION[usuario_id]','$fechacita','','$horacita','$observacion','$idcliente')";
	 mysql_query($sql);
	 }
	 
	 if($fechallamada!=""){
	 $sql="INSERT INTO llamadas (id_llamada,id_renta,id_emp,fecha,realizada,hora,observacion,id_cliente) VALUES ('','$idrenta','$_SESSION[usuario_id]','$fechallamada','','$horallamada','$observacion2','$idcliente')";
	 mysql_query($sql);
	 }
}

     
?>
</html>	